%define	upstream_name    Getopt-Popt
%define	upstream_version 0.02

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5

Summary:	Perl interface to the popt(3)library
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://cpan.uwinnipeg.ca/cpan/authors/id/J/JA/JAMESB/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		Getopt-Popt-0.02-x86_64-build.patch
Patch1:		Getopt-Popt-0.02-fix-testsuite.diff

BuildRequires:	perl-devel
BuildRequires:  popt-devel


%description
The Getopt::Popt module provides a Perl OO interface to the popt(3) library,
a library to parse command-line arguments. Popt is similar to getopt, but with
many new features.
This module provides a method for almost all of the popt library functions,
the rest are on the TODO list.
This release should be considered a beta and may have a bug or two.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p0
%patch1 -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"

%check
LC_ALL=C %make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes example.pl
%{_mandir}/*/*
%{perl_vendorarch}/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-5.mga3
+ Revision: 367742
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.20.0-4.mga3
+ Revision: 250925
- fix url
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.20.0-3.mga2
+ Revision: 104313
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.20.0-2.mga1
+ Revision: 30475
- mageia rebuild
- imported package perl-Getopt-Popt

